ข้ามไปยังเนื้อหา

Gemini Omni Flash

ผสานการทำงาน

ID โมเดล google/gemini-omni-flash
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/google/gemini-omni-flash?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: ≈$1.271 1,271 เครดิต API เรียกใช้ในหน้านี้

รับคีย์ API
Google ข้อความเป็นวิดีโอ ลิปซิงก์รวดเร็ว3–10 s #stylized#transform#lipsync

การสร้างวิดีโอจากข้อความเวอร์ชันดั้งเดิมพร้อมเสียงที่ซิงโครไนซ์ คลิปความยาว 3 ถึง 10 วินาทีใน 16:9 หรือ 9:16

Google · วิดีโอ

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น 88 / 20000

คำอธิบายข้อความของวิดีโอที่ต้องการ

aspect_ratio ค่าเริ่มต้น 16:9

อัตราส่วนภาพของวิดีโอเอาต์พุต

ค่าเริ่มต้น 8

ความยาวของวิดีโอเอาต์พุต วัดเป็นวินาที

ขั้นสูง enable_safety_checker
POST /run/google/gemini-omni-flash?wait=20 ใบเสนอราคา → $1.271
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/google/gemini-omni-flash?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Gemini Omni Flash

สร้างวิดีโอสั้นพร้อมเสียงจากพรอมต์ข้อความที่มีความยาวไม่เกิน 20000 อักขระ อัตราส่วนภาพคือ 16:9 หรือ 9:16 และระยะเวลามีตั้งแต่ 3 ถึง 10 วินาที โดยมีค่าเริ่มต้นเป็น 8 วินาที ต่างจากเอนด์พอยต์ข้อความ 1.1 ตรงที่ไม่มีการตั้งค่าความละเอียด และมีแฟล็ก `enable_safety_checker` ซึ่งเปิดใช้งานโดยค่าเริ่มต้น

พารามิเตอร์

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
promptจำเป็น
ประเภทstring
≤ 20,000 อักขระ
คำอธิบายข้อความของวิดีโอที่ต้องการ
aspect_ratioไม่บังคับ
ประเภทenum
ค่าเริ่มต้น16:9
16:99:16
อัตราส่วนภาพของวิดีโอเอาต์พุต
durationไม่บังคับ
ประเภทinteger
ค่าเริ่มต้น8
3 – 10
ความยาวของวิดีโอเอาต์พุต วัดเป็นวินาที
enable_safety_checkerไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
สามารถผ่อนปรนการคัดกรองได้โดยตั้งค่าเป็น false หากผู้เรียกมีสิทธิ์
จำเป็น

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "google/gemini-omni-flash",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1271,
    "usd": "1.271",
    "charged": 1271,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
video
object {url, content_type, file_name, file_size}วิดีโอที่โมเดลสร้าง

โมเดลเพิ่มเติม: ข้อความเป็นวิดีโอ

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/google/gemini-omni-flash.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt